package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class MenuPackageDishesAddDTO {
   @ApiModelProperty("菜品id")
   private @NotNull(
   message = "{menu_dishes_id_null}"
) Long dishesId;
   @ApiModelProperty("菜品占比(0.35)")
   private @NotNull(
   message = "{menu_proportion_null}"
) BigDecimal proportion;

   public Long getDishesId() {
      return this.dishesId;
   }

   public BigDecimal getProportion() {
      return this.proportion;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setProportion(final BigDecimal proportion) {
      this.proportion = proportion;
   }

}
